Delete customer by external ID
curl --request DELETE \
--url https://api.useaira.com/v1/customers/by-external-id/{externalId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.useaira.com/v1/customers/by-external-id/{externalId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.useaira.com/v1/customers/by-external-id/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>"
}Customers
Delete customer by external ID
This endpoint allows deleting a customer by external ID.
DELETE
/
v1
/
customers
/
by-external-id
/
{externalId}
Delete customer by external ID
Authorizations
API Key Authentication.
Path Parameters
An optional external identifier of the customer from the external system, used throughout the system to identify the customer.
Pattern:
^[a-zA-Z0-9_-]+$Response
The request was successfully processed.
The response is of type object.
⌘I